org.eclipse.net4j.util.registry

## Class HashMapRegistry<K,V>

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.lifecycle.Lifecycle
    - - org.eclipse.net4j.util.lifecycle.ShareableLifecycle
      - - org.eclipse.net4j.util.container.Container<java.util.Map.Entry<K,V>>
        - - org.eclipse.net4j.util.registry.Registry<K,V>
          - - org.eclipse.net4j.util.registry.HashMapRegistry<K,V>

- All Implemented Interfaces:
    java.util.Map<K,V>, IContainer<java.util.Map.Entry<K,V>>, INotifier, IDeactivateable, ILifecycle, ILifecycle.DeferrableActivation, IRegistry<K,V>

      public class HashMapRegistry<K,V>
      extends Registry<K,V>

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.registry.Registry

      `Registry.Transaction`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `ILifecycle.DeferrableActivation`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `USE_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HashMapRegistry()`
    `HashMapRegistry(int initialCapacity)`
    `HashMapRegistry(int initialCapacity, float loadFactor)`
    `HashMapRegistry(java.util.Map<? extends K,? extends V> m)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Map<K,V>` | `getMap()`

    - ### Methods inherited from class org.eclipse.net4j.util.registry.Registry

      `autoCommit, clear, commit, commit, containsKey, containsValue, deregister, entrySet, get, getElements, getTransaction, isAutoCommit, isEmpty, keySet, put, putAll, register, remove, setAutoCommit, size, toString, values`

    - ### Methods inherited from class org.eclipse.net4j.util.container.Container

      `fireContainerEvent, fireContainerEvent, fireContainerEvent, fireElementAddedEvent, fireElementRemovedEvent, fireElementsAddedEvent, fireElementsRemovedEvent, fireEvent, newContainerEvent, newContainerEvent`

    - ### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, doDeactivate, dump, getLifecycleState, isActive, isDeferredActivation`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListeners, lastListenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Constructor Detail

    - #### HashMapRegistry

          public HashMapRegistry()

    - #### HashMapRegistry

          public HashMapRegistry(int initialCapacity)

    - #### HashMapRegistry

          public HashMapRegistry(int initialCapacity,
                                 float loadFactor)

    - #### HashMapRegistry

          public HashMapRegistry(java.util.Map<? extends K,? extends V> m)

  - ### Method Detail

    - #### getMap

          protected java.util.Map<K,V> getMap()

      Specified by:
        `getMap` in class `Registry<K,V>`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html